Investors, warrants & staking
List Investors
Lists INVESTOR seats in the org with full name, login email and linked investor entities.
GEThttps://api.toku.com/tga/list-investors
Not available to API keys yet. It will need grants:read.
curl --request GET \
--url 'https://api.toku.com/tga/list-investors' \
--header 'Authorization: Bearer <token>'200 response
[
{
"investorID": "string",
"fullName": "string",
"email": "string",
"investorEntities": [
{
"investorEntityID": "string",
"entityName": "string",
"orgID": "string"
}
]
}
]Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Response
200Successful response
investorIDstringrequiredAllowed: matches ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
fullNamestringrequiredemailstringrequiredinvestorEntitiesobject[]requiredShow child attributes
investorEntityIDstringrequiredAllowed: matches ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
entityNamestringrequiredorgIDstringrequiredAllowed: matches ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits